Package org.springframework.scheduling

# Interface TriggerContext

All Known Implementing Classes:
  `SimpleTriggerContext`

public interface TriggerContext
Context object encapsulating last execution times and last completion time of a given task.

Since:
  3.0
Author:
  Juergen Hoeller, Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`default Clock`
`getClock()`
Return the clock to use for trigger calculation.
`Instant`
`lastActualExecution()`
Return the last actual execution time of the task, or `null` if not scheduled before.
`default Date`
`lastActualExecutionTime()`
Deprecated.
as of 6.0, in favor on `lastActualExecution()`
`Instant`
`lastCompletion()`
Return the last completion time of the task, or `null` if not scheduled before.
`default Date`
`lastCompletionTime()`
Deprecated.
as of 6.0, in favor on `lastCompletion()`
`Instant`
`lastScheduledExecution()`
Return the last scheduled execution time of the task, or `null` if not scheduled before.
`default Date`
`lastScheduledExecutionTime()`
Deprecated.
as of 6.0, in favor on `lastScheduledExecution()`

## Method Details

### getClock

default Clock getClock()
Return the clock to use for trigger calculation.

Defaults to `Clock.systemDefaultZone()`.

Since:
  5.3
See Also:
  - `TaskScheduler.getClock()`

### lastScheduledExecutionTime

@Nullable @Deprecated(since="6.0") default Date lastScheduledExecutionTime()
Deprecated.
as of 6.0, in favor on `lastScheduledExecution()`
Return the last scheduled execution time of the task, or `null` if not scheduled before.

The default implementation delegates to `lastScheduledExecution()`.

### lastScheduledExecution

@Nullable Instant lastScheduledExecution()
Return the last scheduled execution time of the task, or `null` if not scheduled before.

Since:
  6.0

### lastActualExecutionTime

@Nullable @Deprecated(since="6.0") default Date lastActualExecutionTime()
Deprecated.
as of 6.0, in favor on `lastActualExecution()`
Return the last actual execution time of the task, or `null` if not scheduled before.

The default implementation delegates to `lastActualExecution()`.

### lastActualExecution

@Nullable Instant lastActualExecution()
Return the last actual execution time of the task, or `null` if not scheduled before.

Since:
  6.0

### lastCompletionTime

@Deprecated(since="6.0") @Nullable default Date lastCompletionTime()
Deprecated.
as of 6.0, in favor on `lastCompletion()`
Return the last completion time of the task, or `null` if not scheduled before.

The default implementation delegates to `lastCompletion()`.

### lastCompletion

@Nullable Instant lastCompletion()
Return the last completion time of the task, or `null` if not scheduled before.

Since:
  6.0